Name:        go-mono-nerd-fonts
Version:     3.4.0
Release:     %autorelease
Summary:     Iconic font aggregator, collection, & patcher.

BuildArch:   noarch
License:     BSD-3-Clause
URL:         https://github.com/ryanoasis/nerd-fonts
Source0:     %{url}/releases/download/v%{version}/Go-Mono.tar.xz

%description
Nerd Fonts is a project that patches developer targeted fonts with a high
number of glyphs (icons). Specifically to add a high number of extra glyphs
from popular 'iconic fonts' such as Font Awesome, Devicons, Octicons, and
others.

%prep
%autosetup -c

%build
# Nothing to do here

%install

install -Dm644 GoMonoNerdFont-BoldItalic.ttf %{buildroot}%{_datadir}/fonts/%{name}/GoMonoNerdFont-BoldItalic.ttf
install -Dm644 GoMonoNerdFontMono-BoldItalic.ttf %{buildroot}%{_datadir}/fonts/%{name}/GoMonoNerdFontMono-BoldItalic.ttf
install -Dm644 GoMonoNerdFontPropo-BoldItalic.ttf %{buildroot}%{_datadir}/fonts/%{name}/GoMonoNerdFontPropo-BoldItalic.ttf
install -Dm644 GoMonoNerdFont-Bold.ttf %{buildroot}%{_datadir}/fonts/%{name}/GoMonoNerdFont-Bold.ttf
install -Dm644 GoMonoNerdFontMono-Bold.ttf %{buildroot}%{_datadir}/fonts/%{name}/GoMonoNerdFontMono-Bold.ttf
install -Dm644 GoMonoNerdFontPropo-Bold.ttf %{buildroot}%{_datadir}/fonts/%{name}/GoMonoNerdFontPropo-Bold.ttf
install -Dm644 GoMonoNerdFont-Italic.ttf %{buildroot}%{_datadir}/fonts/%{name}/GoMonoNerdFont-Italic.ttf
install -Dm644 GoMonoNerdFontMono-Italic.ttf %{buildroot}%{_datadir}/fonts/%{name}/GoMonoNerdFontMono-Italic.ttf
install -Dm644 GoMonoNerdFontPropo-Italic.ttf %{buildroot}%{_datadir}/fonts/%{name}/GoMonoNerdFontPropo-Italic.ttf
install -Dm644 GoMonoNerdFont-Regular.ttf %{buildroot}%{_datadir}/fonts/%{name}/GoMonoNerdFont-Regular.ttf
install -Dm644 GoMonoNerdFontMono-Regular.ttf %{buildroot}%{_datadir}/fonts/%{name}/GoMonoNerdFontMono-Regular.ttf
install -Dm644 GoMonoNerdFontPropo-Regular.ttf %{buildroot}%{_datadir}/fonts/%{name}/GoMonoNerdFontPropo-Regular.ttf

%files

%{_datadir}/fonts/%{name}/GoMonoNerdFont-BoldItalic.ttf
%{_datadir}/fonts/%{name}/GoMonoNerdFontMono-BoldItalic.ttf
%{_datadir}/fonts/%{name}/GoMonoNerdFontPropo-BoldItalic.ttf
%{_datadir}/fonts/%{name}/GoMonoNerdFont-Bold.ttf
%{_datadir}/fonts/%{name}/GoMonoNerdFontMono-Bold.ttf
%{_datadir}/fonts/%{name}/GoMonoNerdFontPropo-Bold.ttf
%{_datadir}/fonts/%{name}/GoMonoNerdFont-Italic.ttf
%{_datadir}/fonts/%{name}/GoMonoNerdFontMono-Italic.ttf
%{_datadir}/fonts/%{name}/GoMonoNerdFontPropo-Italic.ttf
%{_datadir}/fonts/%{name}/GoMonoNerdFont-Regular.ttf
%{_datadir}/fonts/%{name}/GoMonoNerdFontMono-Regular.ttf
%{_datadir}/fonts/%{name}/GoMonoNerdFontPropo-Regular.ttf
%license "LICENSE.txt"
%doc "README.md"

%changelog
* Sat May 10 2025 Kyle Bloom <kylejbloom@gmail.com> - 3.4.0-1
- Updated to version v3.4.0

* Sun Dec 01 2024 Kyle Bloom <kylejbloom@gmail.com> - 3.3.0-1
- Updated to version v3.3.0

* Sat Jul 20 2024 Kyle Bloom <kylejbloom@gmail.com> - 3.2.1-1
- Updated to version v3.2.1
